<?php
/**
 * Theme Customizer
 *
 * @package Catch_Store
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function catch_store_color_scheme_register( $wp_customize ) {
	//Color Scheme
	$color_scheme = catch_store_get_color_scheme();

	// Add color scheme setting and control.
	catch_store_register_option( $wp_customize, array(
			'name'              => 'color_scheme',
			'default'           => 'default',
			'sanitize_callback' => 'catch_store_sanitize_select',
			'transport'         => 'postMessage',
			'label'             => esc_html__( 'Base Color Scheme', 'catch-store-pro' ),
			'section'           => 'colors',
			'type'              => 'select',
			'choices'           => catch_store_get_color_scheme_choices(),
			'priority'          => 1,
		)
	);

	$color_options = catch_store_color_options();

	foreach ( $color_options as $key => $value ) {
		catch_store_register_option( $wp_customize, array(
				'name'              => $key,
				'default'           => $value['default'],
				'sanitize_callback' => 'sanitize_hex_color',
				'transport'         => 'postMessage',
				'custom_control'    => 'WP_Customize_Color_Control',
				'label'             => $value['label'],
				'section'           => 'colors',
			)
		);
	}
}
add_action( 'customize_register', 'catch_store_color_scheme_register' );
