<?php //die('test');
/**
 * Adding support for WooCommerce Products Review Option
 */

/**
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function catch_store_products_review( $wp_customize ) {
   $wp_customize->add_section( 'catch_store_products_review', array(
        'title' => esc_html__( 'Products Review', 'catch-store-pro' ),
        'panel' => 'catch_store_theme_options',
    ) );

catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_option',
            'default'           => 'disabled',
            'sanitize_callback' => 'catch_store_sanitize_select',
            'choices'           => catch_store_section_visibility_options(),
            'label'             => esc_html__( 'Enable on', 'catch-store-pro' ),
            'section'           => 'catch_store_products_review',
            'type'              => 'select',
        )
    );

 	$layouts = catch_store_sections_layout_options();

    unset( $layouts['layout-three'], $layouts['layout-four'] );

    catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_layout',
            'default'           => 'layout-two',
            'sanitize_callback' => 'catch_store_sanitize_select',
            'active_callback'   => 'catch_store_is_products_review_active',
            'choices'           => $layouts,
            'label'             => esc_html__( 'Select Products review Layout', 'catch-store-pro' ),
            'section'           => 'catch_store_products_review',
            'type'              => 'select',
        )
    );


    catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_slider',
            'default'           => 1,
            'sanitize_callback' => 'catch_store_sanitize_checkbox',
            'active_callback'   => 'catch_store_is_products_review_active',
            'label'             => esc_html__( 'Check to Enable Slider', 'catch-store-pro' ),
            'section'           => 'catch_store_products_review',
            'type'              => 'checkbox',
        )
    );

 catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_headline',
            'default'           => esc_html__( 'Products Review', 'catch-store-pro' ),
            'sanitize_callback' => 'wp_kses_post',
            'label'             => esc_html__( 'Headline', 'catch-store-pro' ),
            'active_callback'   => 'catch_store_is_products_review_active',
            'section'           => 'catch_store_products_review',
            'type'              => 'text',
        )
    );

    catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_subheadline',
            'default'           => esc_html__( 'Trending Fashion in this Season', 'catch-store-pro' ),
            'sanitize_callback' => 'wp_kses_post',
            'label'             => esc_html__( 'Sub headline', 'catch-store-pro' ),
            'active_callback'   => 'catch_store_is_products_review_active',
            'section'           => 'catch_store_products_review',
            'type'              => 'text',
        )
    );

    catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_number',
            'default'           => 4,
            'sanitize_callback' => 'catch_store_sanitize_number_range',
            'active_callback'   => 'catch_store_is_products_review_active',
            'description'       => esc_html__( 'Save and refresh the page if No. of Products is changed. Set -1 to display all', 'catch-store-pro' ),
            'input_attrs'       => array(
                'style' => 'width: 50px;',
                'min'   => -1,
            ),
            'label'             => esc_html__( 'No of Reviews', 'catch-store-pro' ),
            'section'           => 'catch_store_products_review',
            'type'              => 'number',
        )
    );

    catch_store_register_option( $wp_customize, array(
            'name'              => 'catch_store_products_review_sort',
            'default'           => 'highest-to-lowest',
            'sanitize_callback' => 'catch_store_sanitize_select',
            'active_callback'   => 'catch_store_is_products_review_active',
            'choices'           => array(
                'highest-to-lowest'     => esc_html__( 'Rating (Highest to Lowest)', 'catch-store-pro' ),
                'lowest-to-highest'     => esc_html__( 'Rating (Lowest to Highest)', 'catch-store-pro' ),
                'newest' => esc_html__( 'Newest', 'catch-store-pro' ),
                'oldest'            => esc_html__( 'Oldest', 'catch-store-pro' ),
            ),
            'label'             => esc_html__( 'Sort Reviews By', 'catch-store-pro' ),
            'section'           => 'catch_store_products_review',
            'type'              => 'select',
        )
    );
} 

add_action( 'customize_register', 'catch_store_products_review', 10 );

/** Active Callback Functions **/
if( ! function_exists( 'catch_store_is_products_review_active' ) ) :
    /**
    * Return true if featured content is active
    *
    * @since Catch_Store Pro 1.0
    */
    function catch_store_is_products_review_active( $control ) {
        $enable = $control->manager->get_setting( 'catch_store_products_review_option' )->value();

        return ( catch_store_check_section( $enable ) );
    }
endif;