<?php
/**
 * The template for displaying featured posts on the front page
 *
 * @package Catch_Store
 */
?>

<?php
$show_content = get_theme_mod( 'catch_store_featured_content_show', 'excerpt' );
$show_meta    = get_theme_mod( 'catch_store_featured_meta_show', 'hide-meta' );
$type         = get_theme_mod( 'catch_store_featured_content_type', 'category' );
$layout       = get_theme_mod( 'catch_store_featured_content_layout', 'layout-four' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'hentry' ); ?>>
	<div class="hentry-inner">
		<?php if ( has_post_thumbnail() ) : ?>
		<a class="post-thumbnail" href="<?php the_permalink(); ?>">
			<?php
			$thumbnail = 'catch-store-featured';

			// Output the featured image.
			if ( 'layout-one' === $layout ) {
				$thumbnail = 'catch-store-slider';
			}

			the_post_thumbnail( $thumbnail );
			?>
		</a>
		<?php endif; ?>

		<?php if ( catch_store_is_woocommerce_activated() &&  'product' === $type ) { 
				$title = 'woocommerce-loop-product__title';
					} else {
					$title = 'entry-title';
				}
		 ?>
		<div class="entry-container product-container">
			<header class="entry-header">
				
				<?php the_title( '<h2 class="' . esc_attr( $title ) . '"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">','</a></h2>' ); ?>
				<div class="entry-meta">	
				<?php if ( 'show-meta' === $show_meta  && ( 'post' === $type || 'category' === $type || 'product' === $type || 'featured-content' === $type ) ) {
						if ( catch_store_is_woocommerce_activated() &&  'product' === $type ) {
							woocommerce_template_single_meta();
							} else 	{
						 		echo catch_store_entry_category_date();
						 	 		} 
						}
					 	 ?>
				</div><!-- .entry-meta -->
			</header>

			<?php if ( catch_store_is_woocommerce_activated() &&  'product' === $type ) { ?>
				<div class="product-meta">
					<?php woocommerce_template_single_rating(); ?>
					<?php woocommerce_template_single_price(); ?>
				</div>
			<?php } ?>

			<?php
			if ( 'excerpt' === $show_content ) {
				$excerpt = get_the_excerpt();

				echo '<div class="entry-summary"><p>' . $excerpt . '</p></div><!-- .entry-summary -->';
			} elseif ( 'full-content' === $show_content ) {
				$content = apply_filters( 'the_content', get_the_content() );
				$content = str_replace( ']]>', ']]&gt;', $content );
				echo '<div class="entry-content">' . wp_kses_post( $content ) . '</div><!-- .entry-content -->';
			} ?>

			<?php if ( catch_store_is_woocommerce_activated() &&  'product' === $type ) { ?>
				<div class="product-footer-meta">
					<?php woocommerce_template_loop_add_to_cart(); ?>
				</div>
			<?php } ?>
		</div><!-- .entry-container -->
	</div><!-- .hentry-inner -->
</article>
