<?php
/**
 * Displays header top bar
 *
 * @package Catch_Store
 */
?>

<?php
	if ( get_theme_mod( 'catch_store_disable_header_top' ) ) {
			// Bail if Header top is disabled.
		return;
	}

	$search_text = get_theme_mod( 'catch_store_search_text', esc_html__( 'Search', 'catch-store-pro' ) );
?>
	<div id="header-top" class="header-top-bar">
		<div class="wrapper">
			<?php if ( has_nav_menu( 'menu-3' ) ) : ?>
				<button id="menu-toggle-top" class="menu-top-toggle menu-toggle" aria-controls="top-menu" aria-expanded="false">
					<?php
					echo catch_store_get_svg( array( 'icon' => 'bars' ) );
					echo catch_store_get_svg( array( 'icon' => 'close' ) );
					echo '<span class="menu-label-prefix">'. esc_attr__( 'Top ', 'catch-store-pro' ) . '</span>';

					if ( $label = get_theme_mod( 'catch_store_header_top_menu_label', esc_html__( 'Top Bar', 'catch-store-pro' ) ) ) : ?>
						<span class="header-top-label menu-label"><?php echo esc_html( $label ); ?></span>
					<?php endif; ?>
				</button>

				<?php if ( get_theme_mod( 'catch_store_enable_header_search' ) ) : ?>
				<button id="search-toggle-top" class="menu-search-top-toggle menu-toggle search-toggle"><?php echo catch_store_get_svg( array(
							'icon' => 'search',
						), true ); echo catch_store_get_svg( array(
							'icon' => 'close',
						), true ); ?></span>
				</button>
				<?php endif; ?>

				<div id="site-header-top-menu" class="site-header-top-main">
					<div class="top-main-wrapper">
						<?php if ( has_nav_menu( 'social-top' ) ) : ?>
							<div class="header-top-left">
								<?php get_template_part( 'template-parts/header/social', 'top' ); ?>
							</div><!-- .header-top-left -->
						<?php endif; ?>
						
						<?php get_template_part( 'template-parts/header/contact-details', 'top' ); ?>

						<?php get_template_part( 'template-parts/navigation/navigation-header', 'top' ); ?>

						<?php if ( get_theme_mod( 'catch_store_enable_header_search' ) ) : ?>
						<div id="search-top-container" class="displaynone search-social-container">
				        	<div class="search-container">
				            	<?php get_search_form(); ?>
				            </div><!-- #search-container -->
						</div><!-- #search-top-container -->
						<?php endif; ?>
					</div><!-- .top-main-wrapper -->
				</div><!-- .site-header-top-main -->

			<?php else : ?>

				<?php if ( get_theme_mod( 'catch_store_enable_header_search' ) || has_nav_menu( 'social-top' ) || catch_store_enable_header_contact() ) : ?>
					<button id="mobile-toggle-top" class="menu-toggle displaynone">
						<?php echo catch_store_get_svg( array(
						'icon' => 'bars',
						), true ); echo catch_store_get_svg( array(
						'icon' => 'close',
						), true ); ?></span>

						<?php if ( $label = get_theme_mod( 'catch_store_header_top_menu_label', esc_html__( 'Top Bar', 'catch-store-pro' ) ) ) : ?>
							<span class="header-top-label menu-label"><?php echo esc_html( $label ); ?>	
							</span>
						<?php endif; ?>
					</button>
				<?php endif; ?>

				<div id="search-top-container" class="with-social displaynone search-social-container">
					<?php if ( get_theme_mod( 'catch_store_enable_header_search' ) ) : ?>
		        	<div class="search-container">
		            	<?php get_search_form(); ?>
		            </div><!-- .search-container -->
					<?php endif; ?>

					<?php get_template_part( 'template-parts/header/contact-details', 'top' ); ?>

					<?php if ( has_nav_menu( 'social-top' ) ) : ?>
            		<div class="header-top-left top-without-menu">
						<?php get_template_part( 'template-parts/header/social', 'top' ); ?>
					</div><!-- .header-top-left -->
				<?php endif; ?>
	            </div><!-- #search-top-container -->

	            <!-- This block is used to show the contacts block outside search button on desktop view. -->
	            <div class="disable-in-mobile">
           			<?php get_template_part( 'template-parts/header/contact-details', 'top' ); ?>
            	</div><!-- .disable-in-mobile -->

            	<?php if ( has_nav_menu( 'social-top' ) ) : ?>
            		<div class="header-top-left top-without-menu disable-in-mobile">
						<?php get_template_part( 'template-parts/header/social', 'top' ); ?>
					</div><!-- .header-top-left -->
				<?php endif; ?>

				<?php if ( get_theme_mod( 'catch_store_enable_header_search' ) ) : ?>
				<button id="search-toggle-top" class="menu-search-top-toggle menu-toggle search-toggle"><?php echo catch_store_get_svg( array(
							'icon' => 'search',
						), true ); echo catch_store_get_svg( array(
							'icon' => 'close',
						), true ); ?></span>
				</button>
				<?php endif; ?>

			<?php endif; ?>

		</div><!-- .wrapper -->
	</div><!-- #header-top -->
