<?php
/**
 * The template used for displaying hero content
 *
 * @package Catch_Store
 */
?>
<?php $img_alig = get_theme_mod( 'catch_store_hero_content_image_alignment', 'content-align-right' ); ?>

<div id="hero-section" class="section <?php echo esc_attr( $img_alig ); ?>">
	<div class="wrapper section-content-wrapper hero-content-wrapper">
		<article id="post-0" <?php post_class(); ?>>
			<?php
			$image = get_theme_mod( 'catch_store_hero_content_image' );
			if ( $image ) : ?>
				<div class="post-thumbnail" style="background-image: url( '<?php echo esc_url( $image ); ?>' )">
					<?php
					$link   = get_theme_mod( 'catch_store_hero_content_link', '#' );
					$target = get_theme_mod( 'catch_store_hero_content_target' ) ? '_blank' : '_self';
					?>
					<a class="cover-link" href="<?php echo esc_url( $link ); ?>" target="<?php echo esc_attr( $target ); ?>">
					</a>
				</div><!-- .post-thumbnail -->
				<div class="entry-container">
			<?php
			else: ?>
			<div class="entry-container full-width">
			<?php endif; ?>

			<?php if ( $title = get_theme_mod( 'catch_store_hero_content_title' ) ) : ?>
				<header class="entry-header section-title-wrapper">
					<h2 class="entry-title section-title ">
						<?php echo wp_kses_post( $title ); ?>
					</h2>
				</header><!-- .entry-header -->
			<?php endif; ?>

			<?php if ( $content = get_theme_mod( 'catch_store_hero_content_content' ) ) : ?>
				<div class="entry-content">
					<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>

					<?php
					$more_text   = get_theme_mod( 'catch_store_hero_content_more_text' );
					$more_link   = get_theme_mod( 'catch_store_hero_content_more_link', '#' );
					$more_target = get_theme_mod( 'catch_store_hero_content_more_target' ) ? '_blank' : '_self' ;


					if ( $more_text ) : ?>
						<a class="button" href="<?php echo esc_url( $more_link ); ?>" target="<?php echo esc_attr( $more_target ); ?>">
							<span><?php echo esc_html( $more_text ); ?></span>
						</a>
					<?php
					endif;
					?>
				</div><!-- .entry-content -->
			<?php endif; ?>
			</div><!-- .entry-container -->
		</article><!-- #post-## -->
	</div><!-- .section-content-wrap -->
</div><!-- .section -->
