<?php
/**
 * Displays Footer Navigation
 *
 * @package Catch_Store
 */
?>

<?php if ( has_nav_menu( 'menu-4' ) ) : ?>
	<button id="menu-toggle-footer" class="menu-footer-toggle menu-toggle" aria-controls="footer-menu" aria-expanded="false">
		<?php
		echo catch_store_get_svg( array( 'icon' => 'bars' ) );
		echo catch_store_get_svg( array( 'icon' => 'close' ) );
		echo '<span class="menu-label-prefix">'. esc_attr__( 'Footer ', 'catch-store-pro' ) . '</span><span class="menu-label">'. esc_attr__( 'Menu', 'catch-store-pro' ) . '</span>';
		?>
	</button>
<?php endif; ?>

<?php if ( has_nav_menu( 'menu-4' ) || has_nav_menu( 'social-footer' ) ) : ?>
	<div id="footer-menu-section" class="site-footer-menu">
		<div class="wrapper">
			<?php if ( has_nav_menu( 'menu-4' ) ) : ?>
				<nav id="site-footer-navigation" class="footer-navigation site-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Menu', 'catch-store-pro' ); ?>">
					<?php
						wp_nav_menu( array(
							'theme_location' => 'menu-4',
							'menu_class'     => 'footer-menu',
							'depth'          => 1,
						 ) );
					?>
				</nav><!-- .main-navigation -->
			<?php endif; ?>

			<?php if ( has_nav_menu( 'social-footer' ) ) : ?>
				<nav id="social-footer-navigation" class="social-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Social Links Menu', 'catch-store-pro' ); ?>">
					<?php
						wp_nav_menu( array(
							'theme_location' => 'social-footer',
							'menu_class'     => 'social-links-menu',
							'depth'          => 1,
							'link_before'    => '<span class="screen-reader-text">',
							'link_after'     => '</span>' . catch_store_get_svg( array( 'icon' => 'chain' ) ),
						) );
					?>
				</nav><!-- .social-navigation -->
			<?php endif; ?>
		</div><!-- .wrapper -->
	</div><!-- #footer-menu-section -->
<?php endif; ?>
