<?php
/**
 * Displays Header Right Navigation
 *
 * @package Catch_Store
 */
?>

<?php if ( has_nav_menu( 'menu-2' ) ) : ?>
	<button id="menu-toggle-secondary" class="menu-secondary-toggle menu-toggle" aria-controls="secondary-menu" aria-expanded="false">
		<?php
		echo catch_store_get_svg( array( 'icon' => 'bars' ) );
		echo catch_store_get_svg( array( 'icon' => 'close' ) );
		echo '<span class="menu-label-prefix">'. esc_attr__( 'Secondary ', 'catch-store-pro' ) . '</span>';
		if ( $label = get_theme_mod( 'catch_store_header_right_menu_label', esc_html__( 'Menu', 'catch-store-pro' ) ) ) : ?>
			<span class="menu-label"><?php echo esc_html( $label ); ?></span>
		<?php endif; ?>
	</button>
<?php endif; ?>

<?php
		$disable_header_right_search = get_theme_mod( 'catch_store_header_right_search_disable', 0 ); ?>

<?php if ( has_nav_menu( 'menu-2' ) || has_nav_menu( 'social-header-right' ) || ! $disable_header_right_search ) : ?>
	<div id="site-header-right-menu" class="site-secondary-menu">
		<?php if ( has_nav_menu( 'menu-2' ) ) : ?>
			<nav id="site-secondary-navigation" class="secondary-navigation site-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Secondary Menu', 'catch-store-pro' ); ?>">
				<?php wp_nav_menu( array(
					'theme_location'	=> 'menu-2',
					'container_class'	=> 'secondary-menu-container',
					'menu_class'		=> 'secondary-menu',
				) ); ?>
			</nav><!-- #site-secondary-navigation -->
		<?php endif; ?>

		<?php if ( has_nav_menu( 'social-header-right' ) ) : ?>
			<div class="mobile-social-search">

				<button id="share-toggle" class="share-toggle menu-toggle" aria-controls="social-menu" aria-expanded="false">
					<?php
					echo catch_store_get_svg( array( 'icon' => 'share' ) );
					echo catch_store_get_svg( array( 'icon' => 'close' ) );
					echo '<span class="menu-label-prefix screen-reader-text">'. esc_attr__( 'Social Menu ', 'catch-store-pro' ) . '</span>';
					if ( $label = get_theme_mod( 'catch_store_header_right_menu_label', esc_html__( 'Social Menu', 'catch-store-pro' ) ) ) : ?>
						<span class="menu-label screen-reader-text"><?php echo esc_html( $label ); ?></span>
					<?php endif; ?>
				</button>

				<div id="header-menu-social" class="menu-social">
					<nav id="social-secondary-navigation-top" class="social-navigation displaynone" role="navigation" aria-label="<?php esc_attr_e( 'Header Right Social Links Menu', 'catch-store-pro' ); ?>">
						<?php
							wp_nav_menu( array(
								'theme_location' => 'social-header-right',
								'menu_class'     => 'social-links-menu',
								'depth'          => 1,
								'link_before'    => '<span class="screen-reader-text">',
								'link_after'     => '</span>' . catch_store_get_svg( array( 'icon' => 'chain' ) ),
							) );
						?>
					</nav><!-- #social-secondary-navigation -->
				</div>	
			</div><!-- .mobile-social-search -->	
		<?php endif; ?>

		<?php
		if ( ! $disable_header_right_search ) :
		?>
		<div class="secondary-search-wrapper">
			<div id="search-social-container-right">
	        	<div class="search-container">
	            	<?php get_search_form(); ?>
	            </div><!-- .search-container -->
			</div><!-- #search-social-container -->
		</div><!-- .secondary-search-wrapper -->
		<?php endif; ?>
	</div><!-- #site-header-right-menu -->
<?php endif; ?>

<?php
	$disable_header_right_cart = get_theme_mod( 'catch_store_header_right_cart_disable', 0 );

if ( ! $disable_header_right_cart ) : ?>		
	<div id="site-header-secondary-cart-wrapper" class="site-header-cart-wrapper">	
		<ul class="site-header-cart menu">
			<li class="menu-inline site-cart">
				<?php
					if( function_exists( 'catch_store_cart_link' ) ) {
						catch_store_cart_link();
					}
				?>	
			</li>	
		</ul>
	</div><!-- .site-header-cart-wrapper -->
<?php endif; ?>