<?php
/**
 * The template for displaying portfolio items
 *
 * @package Catch_Store
 */
?>

<?php
$enable = get_theme_mod( 'catch_store_portfolio_option', 'disabled' );

if ( ! catch_store_check_section( $enable ) ) {
	// Bail if portfolio section is disabled.
	return;
}

$type = get_theme_mod( 'catch_store_portfolio_type', 'demo' );

if ( 'jetpack-portfolio' === $type ) {
	$headline   = get_option( 'jetpack_portfolio_title', esc_html__( 'Projects', 'catch-store-pro' ) );
	$subheadline = get_option( 'jetpack_portfolio_content' );
} else {
	$headline = get_theme_mod( 'catch_store_portfolio_headline', esc_html__( 'Projects', 'catch-store-pro' ) );

	$subheadline = get_theme_mod( 'catch_store_portfolio_subheadline' );
}

$classes[] = 'section';

$classes[] = get_theme_mod( 'catch_store_portfolio_content_layout', 'layout-three' );
?>
<div id="portfolio-content-section" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="wrapper">
		<?php if ( $headline || $subheadline ) : ?>
			<div class="section-heading-wrapper portfolio-section-headline">
			<?php if ( $headline ) : ?>
				<div class="section-title-wrapper">
					<h2 class="section-title"><?php echo wp_kses_post( $headline ); ?></h2>
				</div><!-- .section-title-wrapper -->
			<?php endif; ?>

			<?php if ( $subheadline ) : ?>
				<div class="taxonomy-description-wrapper section-subtitle">
					<?php
	                $subheadline = apply_filters( 'the_content', $subheadline );
	                echo str_replace( ']]>', ']]&gt;', $subheadline );
	                ?>
				</div><!-- .taxonomy-description-wrapper -->
			<?php endif; ?>
			</div><!-- .section-heading-wrapper -->
		<?php endif; ?>

		<div class="section-content-wrapper portfolio-content-wrapper <?php echo esc_attr( get_theme_mod( 'catch_store_portfolio_content_layout', 'layout-three' ) ); ?> 		<?php echo esc_attr( get_theme_mod( 'catch_store_portfolio_style', 'special' ) ); ?>">
			<?php
			if ( 'demo' === $type ) {
				get_template_part( 'template-parts/portfolio/demo', 'portfolio' );
			} elseif( 'post' === $type || 'jetpack-portfolio' === $type || 'page' === $type || 'category' === $type || 'product' === $type ) {
				get_template_part( 'template-parts/portfolio/post-types', 'portfolio' );
			} elseif ( 'image' === $type ) {
				get_template_part( 'template-parts/portfolio/image', 'portfolio' );
			}
			?>
		</div><!-- .portfolio-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #portfolio-content-section -->
