<?php
/**
 * The template used for displaying Product Reviews
 *
 * @package Catch_Store
 */
?>

<?php 

if ( 'no' === get_option( 'woocommerce_enable_review_rating' ) ) {
	return;
}

$rating_count = intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );
$_product	= wc_get_product( $comment->comment_post_ID );
$post_thumbnail_id = $_product->get_image_id();
$price 		= $_product->get_price_html();
$review 	= $comment->comment_content;
$author 	= get_comment_author( $comment->comment_ID );


if ( $rating_count > 0 ) : ?>
	<article class="hentry has-post-thumbnail">
		<div class="hentry-inner">
			<div class="entry-container">
				<div class="entry-content">
				<?php
					if ( $post_thumbnail_id ) {
						$html  = '<div class="attachment-woocommerce_thumbnail size-woocommerce_thumbnail">';
						$html .= wc_get_gallery_image_html( $post_thumbnail_id, false );
						$html .= '</div>';
					} else {
						$html  = '<div class="woocommerce-product-gallery__image--placeholder attachment-woocommerce_thumbnail size-woocommerce_thumbnail">';
						$html .= sprintf( '<img src="%s" alt="%s" class="wp-post-image" />', esc_url( wc_placeholder_img_src() ), esc_html__( 'Awaiting product image', 'catch-store-pro' ) );
						$html .= '</div>';
					}

		echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', $html, $post_thumbnail_id );

					
					echo wc_get_rating_html( $rating_count ); ?>

					<p class="woocommerce-LoopProduct-link"><?php echo get_the_title( $comment->comment_post_ID ); ?> ( <?php echo $price; ?> ) </p>
					
					<p><?php echo $review; ?></p>
				</div><!-- .entry-content -->	
			</div><!-- .entry-container -->	

			<div class="hentry-inner-header">
				<div class="testimonial-thumbnail review-thumbanil post-thumbnail">
					<?php echo get_avatar( $comment, 64 ); ?>
				</div>

				<header class="entry-header">
					<h2 class="entry-title"><?php echo $author; ?></h2>
					
				</header>	
			</div><!-- .hentry-inner-header -->		
		</div><!-- .hentry-inner -->	
	</article><!-- .hentry -->

<?php endif; ?>
