<?php
/**
 * The template used for displaying promotion headline
 *
 * @package Catch_Store
 */
?>
<?php

$image_align = get_theme_mod( 'catch_store_promotion_headline_image_position', 'content-align-center' );

$class[] = 'section';
$class[] = $image_align;

if ( get_theme_mod( 'catch_store_promotion_headline_wrap_text', 1 ) ) {
	$class[] = 'content-frame';
}
elseif ( get_theme_mod( 'catch_store_promotion_headline_text_color', 1 ) ) {
   $class[] = 'content-color-white';
}
$class[] = 'promotion-headline-one';
?>
<div id="promotion-section" class="<?php echo esc_attr( implode( ' ', $class ) ); ?>">
	<div class="wrapper section-content-wrapper promotion-content-wrapper">
		<article class="hentry type-image promotion-headline-image">
			<div class="hentry-inner">
				<?php
				$image = get_theme_mod( 'catch_store_promotion_headline_image' );
				if ( $image ) : ?>
					<div class="post-thumbnail-background" style="background-image: url( '<?php echo esc_url( $image ); ?>' )">
						<?php
						$link   = get_theme_mod( 'catch_store_promotion_headline_link', '#' );
						$target = get_theme_mod( 'catch_store_promotion_headline_target' ) ? '_blank' : '_self';
						?>
						<a class="cover-link" href="<?php echo esc_url( $link ); ?>" target="<?php echo esc_attr( $target ); ?>">
						</a>
					</div><!-- .post-thumbnail-background -->
				<?php endif; ?>

				<div class="content-wrapper">
					<div class="entry-container">
						<div class="entry-container-frame">
							<?php if ( $title = get_theme_mod( 'catch_store_promotion_headline_title' ) ) : ?>
								<header class="entry-header section-title-wrapper">
									<h2 class="entry-title">
										<?php echo wp_kses_post( $title ); ?>
									</h2>
								</header><!-- .entry-header -->
							<?php endif; ?>

							<?php if ( $content = get_theme_mod( 'catch_store_promotion_headline_content' ) ) : ?>
								<div class="entry-content">
									<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>

									<?php
									$more_text   = get_theme_mod( 'catch_store_promotion_headline_more_text' );
									$more_link   = get_theme_mod( 'catch_store_promotion_headline_more_link', '#' );
									$more_target = get_theme_mod( 'catch_store_promotion_headline_more_target' ) ? '_blank' : '_self' ;


									if ( $more_text ) : ?>
										<a class="more-link" href="<?php echo esc_url( $more_link ); ?>" target="<?php echo esc_attr( $more_target ); ?>">
											<span class="more-button"><?php echo esc_html( $more_text ); ?></span>
										</a>
									<?php
									endif;
									?>
								</div><!-- .entry-content -->
							<?php endif; ?>
						</div><!-- .entry-container-frame -->
					</div><!-- .entry-container -->
				</div><!-- .content-wrapper -->
			</div><!-- .hentry-inner -->
		</article><!-- #post-## -->
	</div><!-- .section-content-wrap -->
</div><!-- .section -->
