<?php
/**
 * The template used for displaying promotion headline
 *
 * @package Catch_Store
 */
?>

<?php

$type = get_theme_mod( 'catch_store_promotion_headline_type', 'page' );

if ( 'page' === $type && $id = get_theme_mod( 'catch_store_promotion_headline' ) ) {
	$args['page_id'] = absint( $id );
} elseif ( 'post' === $type && $id = get_theme_mod( 'catch_store_promotion_headline_post' ) ) {
	$args['p'] = absint( $id );
} elseif ( 'product' === $type && $id = get_theme_mod( 'catch_store_promotion_headline_product' ) ) {
	$args['post_type'] = 'product';
	$args['p'] = absint( $id );
} elseif ( 'category' === $type && $cat = get_theme_mod( 'catch_store_promotion_headline_category' ) ) {
	$args['cat']            = absint( $cat );
	$args['posts_per_page'] = 1;
}

// If $args is empty return false
if ( empty( $args ) ) {
	return;
}

// Create a new WP_Query using the argument previously created
$promotion_headline_query = new WP_Query( $args );
if ( $promotion_headline_query->have_posts() ) :
	while ( $promotion_headline_query->have_posts() ) :
		$promotion_headline_query->the_post();

		$thumb = get_the_post_thumbnail_url( get_the_ID(), 'catch-store-slider' );

		$image_align = get_theme_mod( 'catch_store_promotion_headline_image_position', 'content-align-center' );
		$class[] = 'section';
		$class[] = $image_align;

		if ( get_theme_mod( 'catch_store_promotion_headline_wrap_text', 1 ) ) {
			$class[] = 'content-frame';
		}
		elseif ( get_theme_mod( 'catch_store_promotion_headline_text_color', 1 ) ) {
		   $class[] = 'content-color-white';
		}

		$class[] = 'promotion-headline-one';
		?>
		<div id="promotion-section" class="<?php echo esc_attr( implode( ' ', $class ) ); ?>">
			<div class="wrapper section-content-wrapper promotion-content-wrapper">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="hentry-inner">
						<?php if ( has_post_thumbnail() ) : ?>
							<div class="post-thumbnail-background" style="background-image: url( '<?php echo esc_url( $thumb ); ?>' )">
							</div><!-- .post-thumbnail-background -->
						<?php endif; ?>

						<div class="content-wrapper">
							<div class="entry-container">
								<div class="entry-container-frame">
									<?php if ( ! get_theme_mod( 'catch_store_disable_promotion_headline_title' ) ) : ?>
										<header class="entry-header section-title-wrapper">
											<?php the_title( '<h2 class="entry-title">', '</h2>' ); ?>
										</header><!-- .entry-header -->
									<?php endif; ?>

									<?php $sub_title = get_theme_mod( 'catch_store_promotion_headline_subheadline', esc_html( 'Save 30%', 'catch-store-pro' ) ); ?>
										<?php if ( $sub_title )  { ?>
										<div class="taxonomy-description-wrapper section-subtitle"><?php echo wp_kses_post( str_replace( ']]>', ']]&gt;', apply_filters( 'the_content', $sub_title ) ) ); ?> 
										</div><!-- .section-subtitle -->
									<?php } ?>
									<?php
									$show_content = get_theme_mod( 'catch_store_promotion_headline_show', 'full-content' );

									if ( 'full-content' === $show_content ) { ?>
										<div class="entry-content">
											<?php
											the_content();

											wp_link_pages( array(
												'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'catch-store-pro' ) . '</span>',
												'after'       => '</div>',
												'link_before' => '<span class="page-number">',
												'link_after'  => '</span>',
												'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'catch-store-pro' ) . ' </span>%',
												'separator'   => '<span class="screen-reader-text">, </span>',
											) );
											?>

											<?php if ( catch_store_is_woocommerce_activated() &&  'product' === $type ) { ?>
											<div class="product-footer-meta">
												<?php woocommerce_template_loop_add_to_cart(); ?>
											</div>
										<?php } ?>

										</div><!-- .entry-content -->
									<?php
									}
									elseif ( 'excerpt' === $show_content ) { ?>
										<div class="entry-summary">
											<?php the_excerpt(); ?>
											
											<?php if ( catch_store_is_woocommerce_activated() &&  'product' === $type ) { ?>
											<div class="product-footer-meta">
												<?php woocommerce_template_loop_add_to_cart(); ?>
											</div>
										<?php } ?>	

										</div><!-- .entry-summary -->
									<?php
									} ?>
								</div><!-- .entry-container-frame -->
							</div><!-- .entry-container -->
						</div><!-- .content-wrapper -->
					</div><!-- .hentry-inner -->
				</article><!-- #post-## -->
			</div><!-- .wrapper -->
		</div><!-- .section -->
	<?php
	endwhile;

	wp_reset_postdata();
endif;
