<?php
/**
 * The template for displaying featured content
 *
 * @package Catch Store
 */
?>

<?php
$enable_content = get_theme_mod( 'catch_store_stats_option', 'disabeld' );

if ( ! catch_store_check_section( $enable_content ) ) {
	// Bail if featured content is disabled.
	return;
}

$type      = get_theme_mod( 'catch_store_stats_type', 'demo' );
$title     = get_theme_mod( 'catch_store_stats_title', esc_html__( 'Stats', 'catch-store-pro' ) );
$sub_title = get_theme_mod( 'catch_store_stats_sub_title' );
$layout    = get_theme_mod( 'catch_store_stats_layout', 'layout-four' );

$classes[] = esc_attr( $layout );
$classes[] = esc_attr( $type );
$classes[] = 'section';
$classes[] = 'no-background-image';
?>

<div id="numbers-section" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="wrapper">
		<?php if ( '' !== $title || $sub_title ) : ?>
			<div class="section-heading-wrapper numbers-section-headline">
				<?php if ( '' !== $title ) : ?>
					<div class="section-title-wrapper">
						<h2 class="section-title"><?php echo wp_kses_post( $title ); ?></h2>
					</div><!-- .section-title-wrapper -->
				<?php endif; ?>

				<?php if ( $sub_title ) : ?>
					<div class="taxonomy-description-wrapper section-subtitle">
						<?php
	                    $sub_title = apply_filters( 'the_content', $sub_title );
	                    echo wp_kses_post( str_replace( ']]>', ']]&gt;', $sub_title ) );
	                    ?>
					</div><!-- .taxonomy-description-wrapper -->
				<?php endif; ?>
			</div><!-- .section-heading-wrapper -->
		<?php endif; ?>

		<div class="section-content-wrapper numbers-content-wrapper <?php echo esc_attr( $layout ); ?>">

			<?php
				if ( 'demo' === $type ) {
					get_template_part( 'template-parts/stats/stats', 'demo' );
				} elseif ( 'image' === $type ) {
					get_template_part( 'template-parts/stats/stats', 'image' );
				} else {
					get_template_part( 'template-parts/stats/post-types', 'stats' );
				}
			?>
		</div><!-- .section-content-wrap -->
	</div><!-- .wrapper -->
</div><!-- #numbers-section -->
