<?php
/**
 * The template used for displaying testimonial on front page
 *
 * @package Catch_Store
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="hentry-inner">
		<?php
		$show_content = get_theme_mod( 'catch_store_testimonial_show', 'excerpt' ); ?>
		<div class="entry-container">
			<?php if ( 'excerpt' === $show_content  ) : ?>
				<div class="entry-content">
					<?php the_excerpt(); ?>
				</div>
			<?php elseif ( 'full-content' === $show_content ) : ?>
				<div class="entry-content">
					<?php the_content(); ?>
				</div>
			<?php endif; ?>
		</div><!-- .entry-container -->	

		<?php $position = get_post_meta( get_the_id(), 'ect_testimonial_position', true ); ?>

		<?php if ( get_theme_mod( 'catch_store_testimonial_enable_title', 1 ) || $position ) : ?>
			<div class="hentry-inner-header">
				<?php if ( has_post_thumbnail() ) : ?>
					<div class="testimonial-thumbnail post-thumbnail">
						<?php the_post_thumbnail( 'catch-store-testimonial' ); ?>
					</div>
				<?php endif; ?>
				
				<header class="entry-header">
					<?php if ( get_theme_mod( 'catch_store_testimonial_enable_title', 1 ) ) {
						the_title( '<h2 class="entry-title">', '</h2>' );
						}
					?>
					<?php if ( $position ) : ?>
						<p class="entry-meta"><span class="position">
							<?php echo esc_html( $position ); ?></span>
						</p>
					<?php endif; ?>
				</header>
			</div><!-- .hentry-inner-header -->		
		<?php endif;?>
	</div><!-- .hentry-inner -->
</article>
