<?php
/**
 * The template for displaying testimonial items
 *
 * @package Catch_Store
 */
?>

<?php
$number = get_theme_mod( 'catch_store_testimonial_number', 4 );

if ( ! $number ) {
	// If number is 0, then this section is disabled
	return;
}

$slider_select = get_theme_mod( 'catch_store_testimonial_slider', 1 );

$layouts = 1;

if ( 'layout-two' === get_theme_mod( 'catch_store_testimonial_layout', 'layout-two' ) ) {
	$layouts = 2;
}

for ( $i = 1; $i <= $number; $i++ ) {
	$content  = get_theme_mod( 'catch_store_testimonial_content_' . $i );
	$target   = get_theme_mod( 'catch_store_testimonial_target_' . $i ) ? '_blank': '_self';
	$link     = get_theme_mod( 'catch_store_testimonial_link_' . $i, '#' );
	$title    = get_theme_mod( 'catch_store_testimonial_title_' . $i );
	$image    = get_theme_mod( 'catch_store_testimonial_image_' . $i );
	$position = get_theme_mod( 'catch_store_testimonial_position_' . $i );

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$link = qtrans_convertURL( $link );
	}

	?>

	<article id="post-<?php echo esc_attr( $i ) ?>" class="post hentry post-image has-post-thumbnail">
		<div class="hentry-inner">
			
			<div class="entry-container">
				<?php if ( $content ) : ?>
					<div class="entry-content">
						<?php echo wp_kses_post( apply_filters( 'the_content', $content ) ); ?>
					</div>
				<?php endif; ?>
			</div><!-- .entry-container -->

			<div class="hentry-inner-header">
				<?php if ( $image ) : ?>
					<div class="testimonial-thumbnail post-thumbnail">
						<img src="<?php echo esc_url( $image ); ?>" class="wp-post-image" alt="<?php echo esc_attr( $title ); ?>" title="<?php echo esc_attr( $title ); ?>">
					</div>
				<?php endif; ?>	

				<?php if ( $title || $position ) : ?>
					<header class="entry-header">
						<?php if ( $title ): ?>
						<h2 class="entry-title"><a target="<?php echo esc_attr( $target ); ?>" href="<?php echo esc_url( $link ); ?>"><?php echo wp_kses_post( $title ); ?></a></h2>
						<?php endif; ?>

						<?php if ( $position ): ?>
						<p class="entry-meta"><span class="position"><?php echo esc_html( $position ); ?></span></p>
						<?php endif; ?>
					</header>
				<?php endif; ?>
			</div><!-- .hentry-inner-header -->		
		</div><!-- .hentry-inner -->
	</article>
	<?php
	//end and start testimonial_slider_wrap div based on logic
	if ( 0 === ( $i % $layouts ) && $i < $number && $slider_select ) : ?>
		</div><!-- .testimonial_slider_wrap -->
		<div class="testimonial_slider_wrap">
	<?php
	endif;
}
